##########################################################################
# Copyright 1999 MBARI                                             
##########################################################################
# Summary  : Makefile for Navigation
# Filename : Makefile
# Author   : Andrew Pearce
# Project  : 
# Version  : Version 1.0
# Created  : 12/06/99
# Modified : 12/06/99
# Archived :
##########################################################################
# Modification History:
# $Header$
#
##########################################################################

CC	    = cc
CCPP	    = cc
LD	    = cc
AR 	    = wlib
DEPEND_TOOL = makedepend

DEBUG 	    = -g
EXCEPTION_HANDLING = -WC,-xs

## OPTIMIZE = -4 -Os
OPTIMIZE = 

## MAP_OUTPUT = -S -ms -M
MAP_OUTPUT =

AUV_BIN_DIR = ../bin

CFLAGS	    = -c $(DEBUG) $(MAP_OUTPUT) $(OPTIMIZE) -D_QNX -DUNIX  
CPPFLAGS    = -c $(DEBUG) $(MAP_OUTPUT) $(OPTIMIZE) -D_QNX -DUNIX \
	         $(EXCEPTION_HANDLING)

INCLUDES    = -I.  \
	      -I.. \
	      -I../utils \
	      -I../framework \
	      -I../DataLog \
	      -I../DynamicControl \
	      -I../LayeredControl \
	      -I../taskIF \
	      -I../gps \
	      -I/usr/include\
              -I/usr/local/src/gctpc/source

LDFLAGS	    = -g
LIBPATH	    = /usr/lib:../lib

LIBS        =   ../utils/utils.lib \
		../taskIF/taskInterfaces.lib \
		../DataLog/dataLog.lib \
		../framework/auvFramework.lib \
		/usr/local/lib/gctpc/geolib.a
#		/usr/local/src/gctpc/source/geolib.a


OBJS	    = 	lbl.o nav.o


TARGETS = 	test_lbl

all:		$(TARGETS)

test_lbl:  	 test_lbl.o  $(OBJS) 
	$(LD) $(LDFLAGS) test_lbl.o $(OBJS) -o $@


install:
		cp -f $(TARGETS) 		$(AUV_BIN_DIR)/. 

##########################################################################
# Do not modify anything below this line unless absolutely necessary

.SUFFIXES:
.SUFFIXES:	.o .c .cc .d .idl

%.d: %.c
	    @echo Generating dependencies for $?
	    @$(DEPEND_TOOL) $(INCLUDES) $? -f $@

%.d: %.cc
	    @echo Generating dependencies for $?
	    @$(DEPEND_TOOL) $(INCLUDES) $? -f $@ 

%.o: %.c 
	    $(CC) $(CFLAGS) $(INCLUDES) $< -o $@	
	    @echo
%.o: %.cc
	    $(CCPP) $(CPPFLAGS) $(INCLUDES) $< -o $@
	    @echo

DEST	    = .

MAKEFILE    = Makefile

include       $(OBJS:.o=.d)

depend:	

clean:
	rm -f core *.o $(OBJS:.o=.d) *.lib *.yy *.tab.* $(TARGETS)

update:
	cvs update $(CC_SRCS) $MAKEFILE

commit:
	cvs commit $(CC_SRCS) $MAKEFILE

##########################################################################









